How to patch

Hi ,

We are having the Asterisk version of 1.4.31. We would like to patch due to the vulnerability reported as

Exploitable Stack and Heap Array Overflows. To fix this issue Asterisk had given the patch “http://downloads.asterisk.org/pub/security/AST-2011-002-1.4.diff”.

Could anyone help us how to do the patching. This file looks as a configuration file., Whether we need to replace it with the existing file. If so please specify which file to be replaced.

Go to the top level source directory.

Type patch -p0 < name-of-patch-file

Then follow the normal build process.

This assumes the difference was run in the top level directory.